## GwyGraphData GwyGraphData — Graph data table |

## Functions

GtkWidget * | gwy_graph_data_new ()
void | gwy_graph_data_set_model ()
GwyGraphModel * | gwy_graph_data_get_model ()

## Types and Values

struct | GwyGraphData
struct | GwyGraphDataClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTreeView
                            ╰── GwyGraphData

## Implemented Interfaces

GwyGraphData implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyGraphData displays data values from GwyGraphModel curves in a table. While it is a GtkTreeView, it uses a dummy tree model (GwyNullStore) and its content is determined by the graph model.

## Functions

### gwy_graph_data_new ()

    GtkWidget *
    gwy_graph_data_new (GwyGraphModel *gmodel);

Creates graph_data widget based on information in graph model.

The GtkTreeModel and the columns follow the graph model and must not be changed manually.

#### Parameters

gmodel | A graph_data model. It can be `NULL`. |

#### Returns

A new graph_data widget.

### gwy_graph_data_set_model ()

    void
    gwy_graph_data_set_model (GwyGraphData *graph_data,
                              GwyGraphModel *gmodel);

Changes the graph model a graph data table displays.

#### Parameters

graph_data | A graph data widget. |
gmodel | New graph_data model. |

### gwy_graph_data_get_model ()

    GwyGraphModel *
    gwy_graph_data_get_model (GwyGraphData *graph_data);

Gets the graph model a graph data table displays.

#### Parameters

graph_data | A graph_data widget. |

#### Returns

The graph model associated with this GwyGraphData widget.

## Types and Values

### struct GwyGraphData

    struct GwyGraphData;

### struct GwyGraphDataClass

    struct GwyGraphDataClass {
        GtkTreeViewClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
        void (*reserved3)(void);
        void (*reserved4)(void);
    };